// -*- C++ -*-
/***************************************************************************
                          libmorse part of Aldo
                          ---------------------
    begin                : Sun May 6 2001
    copyleft             : Giuseppe "denever" Martino
    email                : rdmartin@infinito.it
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program; if not, write to the Free Software            *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA*
 *                                                                         *
 ***************************************************************************/

namespace libmorse
{
    enum Skill
    {
	beginner = 6,
	lo_medium = 11,
	hi_medium = 15,
	all_letters = 21,
	numbers, all = 30
    };
    
    inline int skilltoint(Skill v)
    {
	switch(v)
	{
	case beginner:
	    return 0;
	case lo_medium:
	    return 1;
	case hi_medium:
		return 2;
	case all_letters:
	    return 3;
	case numbers:
	    return 4;
	case all:
	    return 5;
	}
	return 0;
    }
    
    inline Skill inttoskill(int v)
    {
	switch(v)
	{
	case 0:
	    return beginner;
	case 1:
	    return lo_medium;
	case 2:
		return hi_medium;
	case 3:
	    return all_letters;
	case 4:
	    return numbers;
	case 5:
	    return all;
	}
	return beginner;
    }
}
