// -*- C++ -*-
/***************************************************************************
                                 Aldo
                          --------------------
    begin                : Sun May 6 2001
    copyleft             : Giuseppe "denever" Martino
    email                : rdmartin@infinito.it
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program; if not, write to the Free Software            *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA*
 *                                                                         *
 ***************************************************************************/

#include <libintl.h>

#define _(String) gettext(String)

#define on_check _("This is what you should have copied.")

#define errmsg_noformat   _("Configuration file is incorrectly formatted")
#define errmsg_overwrite  _("You have tried to overwrite configuration file")
#define errmsg_nooption   _("Can't find an option in configuration file")
#define errmsg_nosection  _("Can't find the section in configuration file")
#define errmsg_noopenfile _("Can't open configuration file")
#define errmsg_nofile _("Configuration file doesn't exist")
#define errmsg_conf _("Select Reset to default from the Configure menu")

#define main_menu_title _("Main Menu of Aldo")
#define main_menu_prompt _("Your choice: ")
#define main_menu_item1 _("Quickstart")
#define main_menu_item2 _("Select keying options and start")
#define main_menu_item3 _("Check strings sent")
#define main_menu_item4 _("Exit")
#define main_menu_item5 _("Configure")

#define msg_start _("Starting keying. Get ready...")
#define msg_changes _("To change these settings use the Configure menu.")
#define msg_speed _("Keying speed: ")
#define msg_strlen _("String length: ")
#define msg_skill _("Skill: ")
#define msg_strnum _("Number of strings: ")

#define ask_num_of_strings _("Number of strings to send: ")

#define dlg_speed_title _("Select speed")
#define dlg_speed_choice1 _("Slow")
#define dlg_speed_choice2 _("Medium")
#define dlg_speed_choice3 _("Fast")
#define dlg_speed_choice4 _("Very Fast")
#define dlg_speed_choice5 _("Custom in chars per minute")
#define dlg_speed_choice6 _("Custom in words per minute")

#define dlg_skill_title _("Select your skill level")
#define dlg_skill_choice1 _("Beginner")
#define dlg_skill_choice2 _("Low Medium")
#define dlg_skill_choice3 _("High Medium")
#define dlg_skill_choice4 _("All Letters")
#define dlg_skill_choice5 _("Only Numbers")
#define dlg_skill_choice6 _("Full")

#define insert_cpm _("Insert keying speed in chars per minute: ")
#define insert_wpm _("Insert keying speed in words per minute: ")

#define  conf_menu_title _("Configuration Menu")
#define  conf_menu_item1 _("Change spaces between chars")
#define  conf_menu_item2 _("Change spaces between strings")
#define  conf_menu_item3 _("Change string length")
#define  conf_menu_item4 _("Return to main menu")
#define  conf_menu_item5 _("Reset to default")
#define  conf_menu_item6 _("Configure quickstart")

#define ask_value _("Insert value: ")
